import { StorageAdapterBase } from './StorageAdapterBase';
export declare class ResourceAdapter extends StorageAdapterBase {
    private readonly ROOT;
    private resourcesPath;
    locationHint: string;
    constructor();
    canRead(): boolean;
    readAsync(corpusPath: string): Promise<string>;
    createAdapterPath(corpusPath: string): string;
    createCorpusPath(adapterPath: string): string;
}
